QGIS Application - Bug report #3844
QGIS doesn't use username and password in options dialog for proxy connections with WMS
2011-05-25 11:33 PM - luca76 -

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 13902
Description

QGIS doesn't use username and password inserted in the options dialog for proxy connections, to use with WMS connections.

This problem affects 1.6.0 and trunk versions, on Linux and Windows.

In the SQUID log, | see this when | try to connect to NASA WMS with Qgis:

1306326384.090 1 192.168.11.118 TCP_DENIED/407 1987 GET http://onearth.jpl.nasa.gov/browse.cgi? - NONE/- text/html

as you see, the username is not sent.

If | use the browser (Firefox 3.6) with the same url:

1306326543.606 446 192.168.11.118 TCP_MISS/200 1385 GET http://onearth.jpl.nasa.gov/browse.cgi? manganelll

DIRECT/onearth.jpl.nasa.gov text/html

this is correct (manganelllis my username).

| remember that in previous versions of QGIS this was working.

History

#1 - 2011-05-26 12:38 AM - luca76 -

see attachments: in prob1.png I've configured proxy options, in prob2.png proxy wants repeatly my username and password for wms connection.
#2 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-02-02 01:49 PM - Jiirgen Fischer

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No
- Affected QGIS version set to master

not reproducable in master. Please verify that it isn't fixed.
#4 - 2012-02-03 12:31 AM - luca76 -

Jurgen Fischer wrote:

not reproducable in master. Please verify that it isn't fixed.

Hi, the problem is still present. Using HTTPProxy with a Squid 2.6 Proxy and authentication. See my previous attachments.

#5 - 2012-02-03 01:07 AM - Jiirgen Fischer

trapanator - wrote:

Hi, the problem is still present. Using HTTPProxy with a Squid 2.6 Proxy and authentication. See my previous attachments.

Are you using packages or own builds? If the latter, which version of Qt are you building with?

#6 - 2012-02-05 10:44 PM - luca76 -

Jurgen Fischer wrote:

trapanator - wrote:

Hi, the problem is still present. Using HTTPProxy with a Squid 2.6 Proxy and authentication. See my previous attachments.

Are you using packages or own builds? If the latter, which version of Qt are you building with?

I've used the 2012-02-03 OSGEO4W build of qgis-dev.

#7 - 2012-04-16 06:28 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#8 - 2012-09-04 12:01 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2012-10-05 07:22 AM - Giovanni Manghi
- Operating System deleted (All)
- Status info deleted (0)

What is the status of this issue with recent qgis versions?

#10 - 2012-10-08 01:32 AM - luca76 -

Giovanni Manghi wrote:
What is the status of this issue with recent qgis versions?

The problem is still present. When | connect to a WMS server, (squid) proxy always asks for authentication, because QGIS never sends provided

username/password.

This bug is discovered by the maker of plugin_installer (see it on python/plugins): see the code of installer_data.py at the row 130:

1. --- class QPHttp #
2. --- It's a temporary workaround for broken proxy handling in Qt -----------------=------- #

#11 - 2014-03-25 12:55 AM - luca76 -
- Status changed from Feedback to Closed
- Resolution set to fixed/implemented

Now it's fixed in 2.0. Thank you!
